<div class="row">
    <div class="col-xs-12 col-md-4 col-md-offset-4">
        <!-- <div class="row" *ngIf="message" [ngClass]="messageClass">
            <div class="col-xs-9">
                {{ message }}
            </div>
            <div class="col-xs-3">
                <button type="button" class="btn btn-danger" (click)="dismissMessage()">
                    Dismiss
                </button>
            </div>
        </div> -->
        <ng-template appPlaceholder #alertPlaceholder></ng-template>
        
        <!-- <app-alert *ngIf="message" (close)="dismissMessage()" [message]="message"></app-alert> -->
        <div class="row">
            <div class="col-xs-12" style="text-align: center" *ngIf="isLoading">
                <app-spinner></app-spinner>
            </div>
        </div>
        <form #authForm="ngForm" (ngSubmit)="onSubmit(authForm)" *ngIf="!isLoading">
            <div class="form-group">
                <label for="email">Email</label>
                <input type="email" name="email" id="email" class="form-control" ngModel email required />
            </div>
            <div class="form-group">
                <label for="password">Password</label>
                <input type="password" name="password" id="password" class="form-control" ngModel required minlength="6" />
            </div>
            <div>
                <button class="btn btn-primary" type="submit">{{ isLoginMode? 'Login' : 'Sign Up' }}</button>
                | 
                <button class="btn btn-primary" type="button" (click)="onSwitch()">Switch to {{ isLoginMode? 'Sign Up' : 'Login' }}</button>
            </div>
        </form>
    </div>
</div>